Loading...
Searching...
No Matches
APR_Util Error Values
APR Utility Functions » Error Codes
Collaboration diagram for APR_Util Error Values:

## Macros

#define | APR_ENOKEY (APR_UTIL_START_STATUS + 1)
#define | APR_ENOIV (APR_UTIL_START_STATUS + 2)
#define | APR_EKEYTYPE (APR_UTIL_START_STATUS + 3)
#define | APR_ENOSPACE (APR_UTIL_START_STATUS + 4)
#define | APR_ECRYPT (APR_UTIL_START_STATUS + 5)
#define | APR_EPADDING (APR_UTIL_START_STATUS + 6)
#define | APR_EKEYLENGTH (APR_UTIL_START_STATUS + 7)
#define | APR_ENOCIPHER (APR_UTIL_START_STATUS + 8)
#define | APR_ENODIGEST (APR_UTIL_START_STATUS + 9)
#define | APR_ENOENGINE (APR_UTIL_START_STATUS + 10)
#define | APR_EINITENGINE (APR_UTIL_START_STATUS + 11)
#define | APR_EREINIT (APR_UTIL_START_STATUS + 12)
#define | APR_STATUS_IS_ENOKEY(s)
#define | APR_STATUS_IS_ENOIV(s)
#define | APR_STATUS_IS_EKEYTYPE(s)
#define | APR_STATUS_IS_ENOSPACE(s)
#define | APR_STATUS_IS_ECRYPT(s)
#define | APR_STATUS_IS_EPADDING(s)
#define | APR_STATUS_IS_EKEYLENGTH(s)
#define | APR_STATUS_IS_ENOCIPHER(s)
#define | APR_STATUS_IS_ENODIGEST(s)
#define | APR_STATUS_IS_ENOENGINE(s)
#define | APR_STATUS_IS_EINITENGINE(s)
#define | APR_STATUS_IS_EREINIT(s)

## Detailed Description

    APU ERROR VALUES
    APR_ENOKEY         The key provided was empty or NULL
    APR_ENOIV          The initialisation vector provided was NULL
    APR_EKEYTYPE       The key type was not recognised
    APR_ENOSPACE       The buffer supplied was not big enough
    APR_ECRYPT         An error occurred while encrypting or decrypting
    APR_EPADDING       Padding was not supported
    APR_EKEYLENGTH     The key length was incorrect
    APR_ENOCIPHER      The cipher provided was not recognised
    APR_ENODIGEST      The digest provided was not recognised
    APR_ENOENGINE      The engine provided was not recognised
    APR_EINITENGINE    The engine could not be initialised
    APR_EREINIT        Underlying crypto has already been initialised

    APR STATUS VALUES
    APR_INCHILD        Program is currently executing in the child

## Macro Definition Documentation

## APR_ECRYPT

#define APR_ECRYPT (APR_UTIL_START_STATUS + 5)

See also
  APR_STATUS_IS_ECRYPT

## APR_EINITENGINE

#define APR_EINITENGINE (APR_UTIL_START_STATUS + 11)

See also
  APR_STATUS_IS_EINITENGINE

## APR_EKEYLENGTH

#define APR_EKEYLENGTH (APR_UTIL_START_STATUS + 7)

See also
  APR_STATUS_IS_EKEYLENGTH

## APR_EKEYTYPE

#define APR_EKEYTYPE (APR_UTIL_START_STATUS + 3)

See also
  APR_STATUS_IS_EKEYTYPE

## APR_ENOCIPHER

#define APR_ENOCIPHER (APR_UTIL_START_STATUS + 8)

See also
  APR_STATUS_IS_ENOCIPHER

## APR_ENODIGEST

#define APR_ENODIGEST (APR_UTIL_START_STATUS + 9)

See also
  APR_STATUS_IS_ENODIGEST

## APR_ENOENGINE

#define APR_ENOENGINE (APR_UTIL_START_STATUS + 10)

See also
  APR_STATUS_IS_ENOENGINE

## APR_ENOIV

#define APR_ENOIV (APR_UTIL_START_STATUS + 2)

See also
  APR_STATUS_IS_ENOIV

## APR_ENOKEY

#define APR_ENOKEY (APR_UTIL_START_STATUS + 1)

See also
  APR_STATUS_IS_ENOKEY

## APR_ENOSPACE

#define APR_ENOSPACE (APR_UTIL_START_STATUS + 4)

See also
  APR_STATUS_IS_ENOSPACE

## APR_EPADDING

#define APR_EPADDING (APR_UTIL_START_STATUS + 6)

See also
  APR_STATUS_IS_EPADDING

## APR_EREINIT

#define APR_EREINIT (APR_UTIL_START_STATUS + 12)

See also
  APR_STATUS_IS_EREINIT

## APR_STATUS_IS_ECRYPT

#define APR_STATUS_IS_ECRYPT | ( |  | s | ) |

Value:
((s) == APR_ECRYPT)
APR_ECRYPT
#define APR_ECRYPT
Definition apu_errno.h:71

An error occurred while encrypting or decrypting

## APR_STATUS_IS_EINITENGINE

#define APR_STATUS_IS_EINITENGINE | ( |  | s | ) |

Value:
((s) == APR_EINITENGINE)
APR_EINITENGINE
#define APR_EINITENGINE
Definition apu_errno.h:83

The engine could not be initialised

## APR_STATUS_IS_EKEYLENGTH

#define APR_STATUS_IS_EKEYLENGTH | ( |  | s | ) |

Value:
((s) == APR_EKEYLENGTH)
APR_EKEYLENGTH
#define APR_EKEYLENGTH
Definition apu_errno.h:75

An error occurred with the key length

## APR_STATUS_IS_EKEYTYPE

#define APR_STATUS_IS_EKEYTYPE | ( |  | s | ) |

Value:
((s) == APR_EKEYTYPE)
APR_EKEYTYPE
#define APR_EKEYTYPE
Definition apu_errno.h:67

The key type was not recognised

## APR_STATUS_IS_ENOCIPHER

#define APR_STATUS_IS_ENOCIPHER | ( |  | s | ) |

Value:
((s) == APR_ENOCIPHER)
APR_ENOCIPHER
#define APR_ENOCIPHER
Definition apu_errno.h:77

The cipher provided was not recognised

## APR_STATUS_IS_ENODIGEST

#define APR_STATUS_IS_ENODIGEST | ( |  | s | ) |

Value:
((s) == APR_ENODIGEST)
APR_ENODIGEST
#define APR_ENODIGEST
Definition apu_errno.h:79

The digest provided was not recognised

## APR_STATUS_IS_ENOENGINE

#define APR_STATUS_IS_ENOENGINE | ( |  | s | ) |

Value:
((s) == APR_ENOENGINE)
APR_ENOENGINE
#define APR_ENOENGINE
Definition apu_errno.h:81

The engine provided was not recognised

## APR_STATUS_IS_ENOIV

#define APR_STATUS_IS_ENOIV | ( |  | s | ) |

Value:
((s) == APR_ENOIV)
APR_ENOIV
#define APR_ENOIV
Definition apu_errno.h:65

The initialisation vector was not provided

## APR_STATUS_IS_ENOKEY

#define APR_STATUS_IS_ENOKEY | ( |  | s | ) |

Value:
((s) == APR_ENOKEY)
APR_ENOKEY
#define APR_ENOKEY
Definition apu_errno.h:63

The key was empty or not provided

## APR_STATUS_IS_ENOSPACE

#define APR_STATUS_IS_ENOSPACE | ( |  | s | ) |

Value:
((s) == APR_ENOSPACE)
APR_ENOSPACE
#define APR_ENOSPACE
Definition apu_errno.h:69

The buffer provided was not big enough

## APR_STATUS_IS_EPADDING

#define APR_STATUS_IS_EPADDING | ( |  | s | ) |

Value:
((s) == APR_EPADDING)
APR_EPADDING
#define APR_EPADDING
Definition apu_errno.h:73

An error occurred while padding

## APR_STATUS_IS_EREINIT

#define APR_STATUS_IS_EREINIT | ( |  | s | ) |

Value:
((s) == APR_EREINIT)
APR_EREINIT
#define APR_EREINIT
Definition apu_errno.h:85

Crypto has already been initialised